Bug 480658 - mkinitrd does not build working initrd when mdadm.conf says merely "DEVICE partitions"
mkinitrd does not build working initrd when mdadm.conf says merely "DEVICE p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 13:02 EST by Andrew J. Schorr
Modified: 2009-12-18 02:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot messages (1.93 KB, text/plain)
2009-01-19 13:02 EST, Andrew J. Schorr
no flags Details

  None (edit)
Description Andrew J. Schorr 2009-01-19 13:02:51 EST
Created attachment 329373 [details]
boot messages

Description of problem: 
If /etc/mdadm.conf says only "DEVICE partitions",
then mkinitrd fails to build an initrd that will actually boot.  The init
script includes commands like "mdadm -As --auto=yes --run /dev/md13", and
these fail with this error: "mdadm: /dev/md13 not identified in config file."


Version-Release number of selected component (if applicable):
mkinitrd-6.0.71-3.fc10


How reproducible:
Create root and/or swap partition using md raid devices, then
run mkinitrd and try to boot the system.


Steps to Reproduce:
1. Create /root and/or swap partition on an md raid device
2. Run mkinitrd
3. Try to boot the system.
  
Actual results:
mount: error mounting /dev/root on /sysroot as ext3: No such file or directory
And the system hangs.


Expected results:
The system should find the raid devices by scanning /proc/partitions
and boot successfully.


Additional info:
Comment 1 Andrew J. Schorr 2009-01-19 13:05:24 EST
Note: this used to work fine in FC6.  I'm trying to move from FC6 to F10,
so have not tried intervening release.  If we install /etc/mdadm.conf
containing the output of "mdadm --examine --scan --config=partitions",
then everything works OK.

Perhaps this is an mdadm issue (not initrd), but I do not understand
why mdadm.conf that contains "DEVICE partitions" doesn't work just
as well as an mdadm.conf file that is created by scanning with
--config=partitions.

Regards,
Andy
Comment 2 Bug Zapper 2009-11-18 05:47:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:39:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.